.btn {
  width: fit-content;
  padding: 0 15px;
  line-height: 1;
  text-transform: uppercase;
  color: #fff;
  display: flex;
  align-items: center;
  font-size: 16px;
  font-family: $font-title;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  text-align: center;
  height: 40px;

  @include down(lg) {
    font-size: 14px;
    height: 30px;
  }

  span {
    position: relative;
    z-index: 1;
  }

  &:before {
    content: '';
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    transform-origin: left;
    transition: transform cubic-bezier(0, 0, 0, 0.99) .3s;
  }

  &:not(:hover)::before {
    transform: scale(0,1);
  }

  &.blue {
    background-color: $blue;
    &:before {
      background-color: $yellow;
    }
  }

  &:not(.blue) {
    background-color: $yellow;
    &:before {
      background-color: $blue;
    }
  }

  &[class*="icon-"] {
    &:after {
      content: '';
      margin-left: 10px;
      display: block;
      width: 20px;
      height: 20px;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
      position: relative;
      z-index: 1;
    }
  }

  &.icon-heart:after {
    background-image: url("/assets/images/icons/handshake.svg");
  }
}
